Subject: Re: KGDB on BookE

From: Geoff Levand <[email-masked]>
Date: Mon, 13 Jun 2005 09:40:14 -0700

Prosun Niyogi wrote:
> 
> I've grabbed latest kernel.org kernel (2.6.11.11) to attempt to get a
> working kgdb on my ebony setup. Checking the mailing list archives, it
> seems as if all the 4xx specific kgdb patches have been merged with
> kernel.org. Is this the case? If so, I have a problem single stepping
> using kgdb. The debugger_sstep(regs) function is never called from
> traps.c. So, as of right now.. I can only set/hit an arbitrary
> breakpoint (for my testing, I've been setting a breakpoint at sys_sync).
> After setting the breakpoint and continuing from the initial kgdb entry
> point, gdb successfully catches the breakpoint at sys_sync, but when I
> attempt to step, the kernel continues normal operation, and subsequent
> attempts at breaking into gdb control by issuing a "sync" command on the
> ebony terminal in minicom do not hit the breakpoint. Any
> pointers/suggestions as to where I can obtain a working kgdb-enabled
> kernel for the ebony board? Any assistance would be helpful.
> 

Apply the patches in CVS from http://sourceforge.net/projects/kgdb

This works with 2.6.11.11 and Ebony with both serial and Ether connections, 
but I found the kernel hangs with CONFIG_PREEMPT=y.

-Geoff